<nb-layout>

  <nb-layout-header fixed>
    <!-- Insert header here -->
    <img style="cursor: pointer" (click)="backHome()" src="assets/logo.jpeg" alt="Logo" width="70px">
    <p class="title">IsWashing</p>
    <app-search-input [hidden]="isSearchScreen" style="margin-left: auto;"></app-search-input>
  </nb-layout-header>

  <nb-layout-column style="margin: auto; justify-content: center; height: 100%">
    <nb-card
      class="container" [ngClass]="{ 'container-background': isSearchScreen }">
      <router-outlet></router-outlet>
    </nb-card>
  </nb-layout-column>

  <nb-layout-footer fixed>
    <p style="font-weight: 600">Made with ❤️ for BPI Hackathon</p>
  </nb-layout-footer>

</nb-layout>
